hori205
Topic Author
Posts: 6
Joined: 04 Sep 2015, 08:33

I can't run my project on Android device

20 Nov 2015, 08:25

Hi,

I'm new at noesisGUI.
I wrote some code and build and run on Android device.
But it died soon with error below.

11-20 16:02:50.805 E/Noesis ( 1142): NS_ERROR: [ANDROID] Resource ID for 'Drawing/VGL/vglMask.shader' not found

What is wrong?

thanks.
 
User avatar
jsantos
Site Admin
Posts: 2905
Joined: 20 Jan 2012, 17:18
Contact:

Re: I can't run my project on Android device

20 Nov 2015, 12:02

This seems to be an old version of NoesisGUI. What version are you using?
 
hori205
Topic Author
Posts: 6
Joined: 04 Sep 2015, 08:33

Re: I can't run my project on Android device

21 Nov 2015, 02:03

Hi,

Thanks for reply.
I bought newest version few days ago.
Ver1.2.5.
 
User avatar
jsantos
Site Admin
Posts: 2905
Joined: 20 Jan 2012, 17:18
Contact:

Re: I can't run my project on Android device

23 Nov 2015, 19:47

The error you mention corresponds to noesisGUI v1.1, are you sure you are deploying the last version to your Android device?
 
hori205
Topic Author
Posts: 6
Joined: 04 Sep 2015, 08:33

Re: I can't run my project on Android device

24 Nov 2015, 02:10

I was using v1.1 before I bought newest version.
I installed v1.2.5 over v1.1.
Was it anything wrong?
What do I need to do to properly upgrade?
 
User avatar
Scherub
Posts: 141
Joined: 06 May 2014, 20:53
Contact:

Re: I can't run my project on Android device

24 Nov 2015, 03:10

There has changed quite a bit from v1.1 to v1.2.x.

Even if NoesisGUI features an updater it might be a good idea in this case to remove all NoesisGUI directories that were installed with v1.1 and just re-import the new package.

And be sure not to remove any of your own content!

I can also say that I have a small project running on Android. To be honest Android was the easiest platform to develop for with NoesisGUI. :)
 
hori205
Topic Author
Posts: 6
Joined: 04 Sep 2015, 08:33

Re: I can't run my project on Android device

24 Nov 2015, 10:51

Thanks for reply.

I deleted directories named "NoesisGUI" under "Assets" all.

And I imported NoesisGUI v1.2.5 again, check "Android" in NoesisGUI settings dialog, and did "build and run".

But same error occurred.

Should I delete any other files or directories?
 
User avatar
Scherub
Posts: 141
Joined: 06 May 2014, 20:53
Contact:

Re: I can't run my project on Android device

24 Nov 2015, 11:51

Which Unity version are you using?

Can you create a new project and only import NoesisGUI, select one of the example scenes, deploy it to your Android device and see if this works?
 
User avatar
jsantos
Site Admin
Posts: 2905
Joined: 20 Jan 2012, 17:18
Contact:

Re: I can't run my project on Android device

24 Nov 2015, 16:22

The update process should work fine, please verify the following:

1. Before importing 1.2 delete the file Assets\Plugins\Android\libNoesis.so
2. Import the new package and verify that there is a new libNoesis.so
3. Deploy the application, a new one, and launch it.
4. Inspect the unity log, there should be something like "Initializing NoesisGUI: 1.2.5"
 
hori205
Topic Author
Posts: 6
Joined: 04 Sep 2015, 08:33

Re: I can't run my project on Android device

25 Nov 2015, 03:41

Solved.

There are some NoesisGUI library files that are not under folders named "NoesisGUI".
I replaced these files to new one.

Thanks for replies.

Who is online

Users browsing this forum: No registered users and 1 guest